summarylogtreecommitdiffstats
path: root/evelauncher.sh
diff options
context:
space:
mode:
authorJernuh Zakalwe2018-11-18 14:59:18 +0100
committerJernuh Zakalwe2018-11-18 14:59:18 +0100
commitfd0355695a1405c91ce5cdaa59f6ef06cd6fa7de (patch)
treed4d4c6d1454c5496676f495f01e09302a789abfb /evelauncher.sh
parent2e13f4bfb495889eae9d64ae26ac4df2ac651b24 (diff)
downloadaur-fd0355695a1405c91ce5cdaa59f6ef06cd6fa7de.tar.gz
Handling from whitespaces in $WINEPATH removed, it causes to many side effects,
no more whitespaces in absolute paths allowed. Wrong second declaration from $WINEPATH in wine check routine fixed.
Diffstat (limited to 'evelauncher.sh')
-rw-r--r--evelauncher.sh16
1 files changed, 8 insertions, 8 deletions
diff --git a/evelauncher.sh b/evelauncher.sh
index 30bc0a8c7c09..03d264618cf3 100644
--- a/evelauncher.sh
+++ b/evelauncher.sh
@@ -45,7 +45,7 @@ check_wine() {
UCW=$(grep UseCustomWine $EVECONF | cut -d= -f2)
if [ "x$UCW" = "xtrue" ] ;then
CUSTOMWP=$(grep CustomWinePath $EVECONF | cut -d= -f2)
- WINEPATH="${CUSTOMWP%/*}"
+ WINEPATH=${CUSTOMWP%/*}
SHAREDIR=$(grep SharedCacheFolder $EVECONF | cut -d= -f2)
WINEPREFIX=${SHAREDIR}wineenv
else
@@ -54,8 +54,8 @@ check_wine() {
fi
if [ -x "$WINEPATH/wine" ] ;then
INSTWINE=$(cat $WINEPREFIX/.update-timestamp 2>/dev/null) || true
- WINEPATH=$(readlink -f "$CUSTOMWP")
- WINECONF=$(find "${WINEPATH%/bin*}"/share -name 'wine.inf' 2>/dev/null) || true
+ WINEINFP=$(readlink -f $CUSTOMWP)
+ WINECONF=$(find ${WINEINFP%/bin*}/share -name 'wine.inf' 2>/dev/null) || true
WINEDATE=$(ls -l --time-style=+%s "$WINECONF" 2>/dev/null | cut -d' ' -f6)
if [ "x$WINEDATE" != "x$INSTWINE" ] ;then
launcher_msg "Preparing/Updating wine in $WINEPREFIX"
@@ -63,15 +63,15 @@ check_wine() {
WINEPREFIX=$WINEPREFIX \
WINEDEBUG=-all \
WINEDLLOVERRIDES="mscoree,mshtml,winemenubuilder.exe=d" \
- "$WINEPATH/wine" wineboot
- env WINEPREFIX=$WINEPREFIX "$WINEPATH/wine" reg delete \
+ $WINEPATH/wine wineboot
+ env WINEPREFIX=$WINEPREFIX $WINEPATH/wine reg delete \
'HKEY_LOCAL_MACHINE\Software\Microsoft\Windows\CurrentVersion\RunServices' \
/v winemenubuilder /f >/dev/null || true
- env WINEPREFIX=$WINEPREFIX "$WINEPATH/wine" reg add \
+ env WINEPREFIX=$WINEPREFIX $WINEPATH/wine reg add \
'HKEY_CURRENT_USER\Software\Wine\DllOverrides' \
/v winemenubuilder.exe /f >/dev/null
- if [ $("$WINEPATH/wine" --version | grep -q 3.2 ;echo $?) != 0 ] ;then
- env WINEPREFIX=$WINEPREFIX WINE="$WINEPATH/wine" \
+ if [ $($WINEPATH/wine --version | grep -q 3.2 ;echo $?) != 0 ] ;then
+ env WINEPREFIX=$WINEPREFIX WINE=$WINEPATH/wine \
$(which winetricks) -q winxp >/dev/null
fi
fi